<!-- Modal -->
<div class="modal fade" id="newCourse" tabindex="-1" role="dialog" aria-labelledby="FaddnewCourseModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header bg-gray pl-2">
                <h5 class="modal-title" id="newCourseModalLabel">New course</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close" [routerLink]="['/courses']">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" >
                <form [formGroup]="coursesForm">
                    <div class="row">
                        <div class="col-6 input-label">Title</div>
                        <div class="col-6 text-right required">
                            <span *ngIf="coursesForm.controls['name'].touched && coursesForm.controls['name'].hasError('maxlength')">
                                * Max length is 50 characters 
                            </span>
                            <span *ngIf="coursesForm.controls['name'].touched && coursesForm.controls['name'].hasError('required')">
                                * Required 
                            </span> 
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-12">
                            <input type="text" class="form-control input" name="name" placeholder="Text input" formControlName="name">
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-6 input-label">Description</div>
                        <div class="col-6 text-right required">
                            <span *ngIf="coursesForm.controls['description'].touched && coursesForm.controls['description'].hasError('maxlength')">
                                * Max length is 500 characters 
                            </span>
                            <span *ngIf="coursesForm.controls['description'].touched && coursesForm.controls['description'].hasError('required')">
                                * Required 
                            </span>
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-12">
                            <textarea class="form-control input" placeholder="Add description" formControlName="description"></textarea>
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-4 input-label">Duration</div>
                        <div class="col-6 text-left required">
                            <span *ngIf="coursesForm.controls['length'].touched && coursesForm.controls['length'].hasError('required')">
                                * Required 
                            </span>
                            <span *ngIf="coursesForm.controls['length'].touched && coursesForm.controls['length'].hasError('pattern')">
                                * Only numbers allow
                            </span>
                        </div>
                    </div>
                    <!-- <div class="row mt-2">
                        <div class="col-4">
                            <input type="text" class="form-control input" name="length" placeholder="Minutes" formControlName="length">
                        </div>
                        <div class="col-3 input-label">
                            {{coursesForm.get('length').value | duration}}
                        </div>
                    </div> -->
                    
                    <app-input-length formControlName="length"></app-input-length>

                    <div class="row mt-2">
                        <div class="col-4 input-label">Date</div>
                        <div class="col-6 text-left required">
                            <span *ngIf="coursesForm.controls['date'].touched && coursesForm.controls['date'].hasError('required')">
                                * Required
                            </span>
                            <span *ngIf="coursesForm.controls['date'].touched && coursesForm.controls['date'].hasError('date')">
                                * Date format should be mm-dd-yyyy
                            </span>
                        </div>
                    </div>
                    <!-- <div class="row mt-2">
                        <div class="col-4">
                            <input type="text" class="form-control input" name="date" placeholder="mm-dd-yyyy" formControlName="date" >
                        </div>
                    </div> -->
                    <app-input-date formControlName="date"></app-input-date>
                    
                    <div class="row mt-2">
                        <div class="col-3 input-label">Autors</div>
                        <div class="col-3 text-right required">

                            <span *ngIf="coursesForm['controls'].authors['controls'].name.touched && coursesForm['controls'].authors['controls'].name.hasError('required')">
                                * Required 
                            </span>
                        </div>
        
                    </div>
                    <div class="row mt-2" formGroupName="authors">
                        <div class="col-6">
                            <input type="text" class="form-control input" name="autors" placeholder="Star typing" formControlName="name">
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-12 text-right">
                            <button type="button" class="button bg-gray" data-dismiss="modal"
                            [routerLink]="['/courses']"><span class="p-2">Cancel</span></button>
                            <button type="button"class="button ml-2" 
                                [ngClass]="{'bg-gray':coursesForm.invalid, 'bg-green':coursesForm.valid}"  
                                [disabled]="coursesForm.invalid"
                                (click)="addCourse()">
                                <span class="p-2">Save</span>
                            </button>        
                        </div>
                    </div>
                </form>
            </div>
        <div class="modal-footer">
        </div>
        </div>
    </div>
</div>